| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
GL

# Method GL.glClearIndex()

Method glClearIndex

  `void glClearIndex(float c)`

Description

  glClearIndex specifies the index used by glClear to clear the color index buffers. c is not clamped. Rather, c is converted to a fixed-point value with unspecified precision to the right of the binary point. The integer part of this value is then masked with 2 sup m -1, where m is the number of bits in a color index stored in the frame buffer.

Parameter `c`

  Specifies the index used when the color index buffers are cleared. The initial value is 0.

Throws

  GL_INVALID_OPERATION is generated if glClearIndex is executed between the execution of glBegin and the corresponding execution of glEnd .